{ config, pkgs, ... }:

let
  wallpaper = builtins.toString ../backgrounds/monkey.jpg;
  wallpaper2 = builtins.toString ../backgrounds/bird.jpg;
  wallpaper3 = builtins.toString ../backgrounds/nix.png;
in
{
  services.hyprpaper = {
    enable = true;

    settings = {
      preload = [
        wallpaper
        wallpaper2
        wallpaper3
      ];
      wallpaper = [
        ",${wallpaper3}"
      ];
    };
  };
}
